<?php
/*
 * This file is part of LinkMan - PHP Links Manager.
 *
 * (c) Copyright 2016 by Klemen Stirn. All rights reserved.
 * http://www.phpjunkyard.com
 * http://www.phpjunkyard.com/php-link-manager.php
 *
 * For the full copyright and license agreement information, please view
 * the docs/index.html file that was distributed with this source code.
 */

define('IN_SCRIPT', 1);
define('LOAD_LANGUAGE', 1);

// Require the settings file
require 'config/settings.php';

// Load functions
require 'inc/common.inc.php';

// Set page title
define('PAGE_TITLE', $lang['t_links']);

// The settings file
$settings['db_file'] = 'config/' . $settings['db_file'];

// Get links database
if (file_exists($settings['db_file'])) {
    $settings['db'] = explode('//', file_get_contents($settings['db_file']), 2);
} else {
    die($lang['e_error'] .': ' . $lang['x_db_missing']);
}

// Verify license
$settings['pj_license']('HNldHRpbmdzWydkYiddPWlzc2V0KCRzZXR0aW5nc1snZGInXVsxXSk/
dW5zZXJpYWxpemUoJHNldHRpbmdzWydkYiddWzFdKTphcnJheSgpO2lmIChmaWxlX2V4aXN0cygnbGlu
a21hbl9saWNlbnNlLnBocCcpKXtpbmNsdWRlKCdsaW5rbWFuX2xpY2Vuc2UucGhwJyk7fWlmICghaXNz
ZXQoJHNldHRpbmdzWydsaW5rbWFuX2xpY2Vuc2UnXSl8fCFpc19hcnJheSgkc2V0dGluZ3NbJ2xpbmtt
YW5fbGljZW5zZSddKSl7cGpfYXJyYXlfdW5zaGlmdF9hc3NvYygkc2V0dGluZ3NbJ2RiJ10sMCxhcnJh
eSgnRCc9PicnLCdMJz0+J2h0dHA6Ly93d3cucGhwanVua3lhcmQuY29tJywnVCc9PidGcmVlIFBIUCBT
Y3JpcHRzJywnUyc9PidPdXIgbGluayBleGNoYW5nZSBpcyBwb3dlcmVkIGJ5IDxhIGhyZWY9Imh0dHA6
Ly93d3cucGhwanVua3lhcmQuY29tL3BocC1saW5rLW1hbmFnZXIucGhwIiBjbGFzcz0iaW4tdGV4dCI+
UEhQIExpbmsgTWFuYWdlcjwvYT4uIFZpc2l0IHRoZSBQSFAgSnVua3lhcmQgZm9yIG1vcmUgdW5pcXVl
IFBIUCBzY3JpcHRzIGZvciB5b3VyIHdlYnNpdGUgcGx1cyB2YXJpb3VzIHdlYm1hc3RlciB0b29scyBh
bmQgcmVzb3VyY2VzLicsJ0YnPT4xLCdPJz0+MCkpO30=',"\112");

// Prepare links
$featured_links = array();
$standard_links = array();

foreach ($settings['db'] as $id => $link) {
    if ($link['F'] == 1) {
        $featured_links[$id] = $link;
    } else {
        $standard_links[$id] = $link;
    }
}

unset($settings['db']);

// Total number of standard links
$total_standard = count($standard_links);
$total_pages = ceil($total_standard / $settings['max_per_page']);

// Which page to display? Default to first page.
$this_page = intval(pj_REQUEST('page', 0));
if ($this_page > 0 && $this_page <= $total_pages)
{
    $start      = ($this_page * $settings['max_per_page']) - $settings['max_per_page'];
    $end        = $start + $settings['max_per_page'] - 1;
}
else
{
    $this_page  = 1;
    $start      = 0;
    $end        = $settings['max_per_page'] - 1;
}

// Extract links for the current page
$standard_links = array_slice($standard_links, $start, $settings['max_per_page'], true);

// Load template files
$tpl_file = $settings['template'].'/links.tpl.php';
require $settings['template'].'/layout.tpl.php';